# VkViewportWScalingNV(3) Manual Page

## Name

VkViewportWScalingNV - Structure specifying a viewport

Loading… please wait.

## C Specification

The `VkViewportWScalingNV` structure is defined as:

    // Provided by VK_NV_clip_space_w_scaling
    typedef struct VkViewportWScalingNV {
        float    xcoeff;
        float    ycoeff;
    } VkViewportWScalingNV;

## Members

- `xcoeff` and `ycoeff` are the viewport’s W scaling factor for x and y respectively.

## Description

## See Also

VK_NV_clip_space_w_scaling, VkPipelineViewportWScalingStateCreateInfoNV, vkCmdSetViewportWScalingNV

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2025 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0